Skip to main content
`Ctrl`+`K`

# PetscDraw

Abstract PETSc object for graphics, often represents a window on the screen

## Synopsis

    typedef struct _p_PetscDraw *PetscDraw;

## See Also

`PetscDrawCreate()`, `PetscDrawSetType()`, `PetscDrawType`

## Level

beginner

## Location

include/petscdrawtypes.h

## Examples

src/ts/tutorials/ex4.c
src/ts/tutorials/ex5.c
src/ts/tutorials/ex2.c
src/ksp/ksp/tutorials/ex69.c
src/ts/tutorials/ex3.c
src/ts/tutorials/ex21.c
src/ts/tutorials/ex6.c
src/ksp/ksp/tutorials/ex68.c

## Implementations

_p_PetscDraw in include/petsc/private/drawimpl.h
PetscDraw_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDraw_X in src/sys/classes/draw/impls/x/ximpl.h

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages